GNU bug report logs - #18183
24.3; table-fixed-width-mode fails with kill/yank

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Boruch Baum <boruch_baum@HIDDEN>; dated Sun, 3 Aug 2014 18:17:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Aug 2014 18:16:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 03 14:16:13 2014
Received: from localhost ([127.0.0.1]:56174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XE0KK-0003mR-N5
	for submit <at> debbugs.gnu.org; Sun, 03 Aug 2014 14:16:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43688)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <boruch_baum@HIDDEN>) id 1XE0KH-0003m9-Fe
 for submit <at> debbugs.gnu.org; Sun, 03 Aug 2014 14:16:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boruch_baum@HIDDEN>) id 1XE0K4-0003I3-ML
 for submit <at> debbugs.gnu.org; Sun, 03 Aug 2014 14:16:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36290)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boruch_baum@HIDDEN>) id 1XE0K4-0003Hz-Ip
 for submit <at> debbugs.gnu.org; Sun, 03 Aug 2014 14:15:56 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45404)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boruch_baum@HIDDEN>) id 1XE0Jy-0005gU-7o
 for bug-gnu-emacs@HIDDEN; Sun, 03 Aug 2014 14:15:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boruch_baum@HIDDEN>) id 1XE0Jr-0003HG-Ty
 for bug-gnu-emacs@HIDDEN; Sun, 03 Aug 2014 14:15:50 -0400
Received: from mout.gmx.com ([74.208.4.200]:52390)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boruch_baum@HIDDEN>) id 1XE0Jr-0003H8-Mn
 for bug-gnu-emacs@HIDDEN; Sun, 03 Aug 2014 14:15:43 -0400
Received: from [10.199.4.171] ([47.21.4.242]) by mail.gmx.com (mrgmxus002)
 with ESMTPSA (Nemesis) id 0M86fX-1WJ8Tk1jH7-00vh0B for
 <bug-gnu-emacs@HIDDEN>; Sun, 03 Aug 2014 20:15:42 +0200
Message-ID: <53DE7C34.6030304@HIDDEN>
Date: Sun, 03 Aug 2014 14:15:16 -0400
From: Boruch Baum <boruch_baum@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Icedove/24.5.0
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; table-fixed-width-mode fails with kill/yank
OpenPGP: url=hkp://keys.gnupg.net
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="ogfQ4GPjiwVhersS4KGdbAH6j18ooWiTE"
X-Provags-ID: V03:K0:ekcA3A02zwfkEjKAquiGO9gSPggdunAi3855y7qgPbT9U4ZN28h
 jKmBqz8YHsBW34LyCJQKpAoUu2Pl9AdUxy5cxVGYTrs0B1CbA2gbwx8cMk8w2iSiGYSSaSQ
 4qpWHMkJmzHtmSOkZX2adOdTjZC6PFR80Tr3BGZfhpLWGanSTgF2CNIHvvtdBjHLxqM9klR
 w/uLy/4hn5viV/3zxgYVw==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--ogfQ4GPjiwVhersS4KGdbAH6j18ooWiTE
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

typing directly into a cells in tables does not change the size of the
cell when table-fixed-width-mode is set; however, yanking and killing
within a cell does change the size of the cell.


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu)
 of 2014-06-06 on barber, modified by Debian
System Description:     Debian 7.0 GNU/Linux wheezy/testing

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr/lib=
'
 '--localstatedir=3D/var/lib' '--infodir=3D/usr/share/info'
 '--mandir=3D/usr/share/man' '--with-pop=3Dyes'
 '--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs=
/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/si=
te-lis\
p:/usr/share/emacs/site-lisp'
 '--with-crt-dir=3D/usr/lib/x86_64-linux-gnu' '--with-x=3Dno'
 '--without-gconf' '--without-gsettings' 'build_alias=3Dx86_64-linux-gnu'=

 'CFLAGS=3D-g -O2 -fstack-protector --param=3Dssp-buffer-size=3D4 -Wforma=
t
 -Werror=3Dformat-security -Wall' 'LDFLAGS=3D-Wl,-z,relro'
 'CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  semantic-minor-modes-format: ((:eval (if (or
semantic-highlight-edits-mode semantic-show-unmatched-syntax-mode)  S)))
  desktop-save-mode: t
  winner-mode: t
  savehist-mode: t
  electric-pair-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  shell-dirtrack-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
mule-util cal-move repeat table two-column tabify org-table debug
boxquote apropos rect image-file org-clock tutorial org-element finder
finder-inf lisp-mnt help-mode misearch multi-isearch jka-compr
browse-kill-ring dabbrev ibuf-ext ibuffer org-wl org-w3m org-vm
org-rmail org-mhe org-mew org-irc org-jsinfo org-infojs org-html org-exp
ob-exp org-exp-blocks org-agenda org-info org-gnus gnus-util org-docview
org-bibtex bibtex org-bbdb org ob-tangle ob-ref ob-lob ob-table
org-footnote org-src ob-comint ob-keys org-pcomplete org-list org-faces
org-entities noutline outline org-version ob-emacs-lisp ob org-compat
org-macs ob-eval org-loaddefs find-func cal-menu calendar cal-loaddefs
server vc-git bookmark pp saveplace desktop dired-details+ dired
dired-details uniquify winner csv-mode-autoloads
dired-details+-autoloads dired-details-autoloads dirtree-autoloads
hide-lines-autoloads igrep-autoloads nav-autoloads pager-autoloads
pager-default-keybindings-autoloads revive+-autoloads revive-autoloads
tree-mode-autoloads w3-autoloads w3m-autoloads info web-autoloads
windata-autoloads workgroups2-autoloads package savehist cus-start
cus-load woman man electric paren delsel debian-el debian-el-loaddefs
w3m-load slime-autoloads 50magit ido ess-toolbar ess-mouse mouseme
browse-url ess-menu ess-swv ess-noweb ess-noweb-font-lock-mode
ess-bugs-l essd-els ess-sas-d ess-sas-l ess-sas-a shell pcomplete
ess-sta-d ess-sta-l cc-vars cc-defs make-regexp ess-sp6-d ess-sp3-d
ess-julia ess-r-d ess-tracebug format-spec ess-roxy ess-help
ess-developer ess-r-args eldoc ess-s-l ess ess-inf ess-mode
ess-noweb-mode ess-utils ess-custom executable ess-compat ess-site
emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
ecb cl-macs warnings edmacro kmacro ecb-symboldef ecb-analyse
ecb-compatibility ecb-winman-support ecb-autogen autoload ecb-tod
ecb-cycle ecb-eshell ecb-help ecb-jde ecb-method-browser hideshow
ecb-semantic ecb-file-browser ecb-speedbar ecb-layout compile comint
regexp-opt ansi-color tool-bar ecb-create-layout ecb-compilation
ecb-common-browser time-date assoc speedbar sb-image dframe ecb-navigate
ecb-mode-line ecb-face tree-buffer ecb-upgrade ecb-cedet-wrapper
semantic/db-mode semantic/db-find semantic/db-ref semantic/analyze
semantic/sort semantic/scope semantic/analyze/fcn semantic/db gv
eieio-base semantic/format ezimage image semantic/tag-ls semantic/find
semantic/ctxt semantic/util-modes easymenu semantic/util semantic
semantic/tag semantic/lex semantic/fw eieio byte-opt bytecomp
byte-compile cconv mode-local cedet wid-edit ecb-util ring thingatpt
dpkg-dev-el dpkg-dev-el-loaddefs devhelp develock advice help-fns cl
cl-lib advice-preload ediff-hook vc-hooks lisp-float-type tabulated-list
newcomment lisp-mode register page menu-bar rfn-eshadow timer select
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
multi-tty emacs)

--=20
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0



--ogfQ4GPjiwVhersS4KGdbAH6j18ooWiTE
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJT3nw0AAoJEDvrUfDmCx9LuqQP/jSnGd5WQRVXshrzXtXMGDSg
YLU9alECHyc3/FHbItj1lrzNC0QA0wd8cQNKhs+2RpRHgOlliRbGg2WUP0sQkC5l
O4DOT9+cltfZQY5Du7+L1UEiBO5LR3hRr1Bd+r5ipAzC9OH9FTxzjb3C8W9CiMjj
Fgf/QHep8D8tv66aMF511CrGGRkwVxWZ7EoOomD49NuovxD/Se6dzkfPOnOLtL7K
2AX4TlrRia1NAz8vuPANY1OReF+8fBWVA2FVWGs5mPnxDJ3vmoukeV1YX5YqvnjM
NM+3NnhcEbLNVV7dn/Z9oEH3qI8whIAQHJiiyfJIiiy6pTxxrBqG9dq/zmP9LDvD
W86v7rCgp9cZAeXbWFkPPr7kQzCNNNnIyZ3MyavnOc2T51Zl9wrH79SSuEX7doTw
BAvINtoBIa1c12Akb8QR+is/9W6634pFUhs4WgcyWps/CEVezUILaU06mB+J5h4s
ZpQb7Jiht/SSUd98P2E3vKpqzAHzda6rnbJQYqsObvCdzwZDyhwV0NQ3zIoWBk7T
3akBiUdZQnclx91Wtk/ZqxAU1KBydBXR34aZ+s1q2MP/oBlnRZxRK0yn8OpAeGa7
6sOWmdPB8somiTJ5HeREN9aRNFj1to/kUDSRIQx9qEtkhjiySDjErz/FurB2GCoL
1/BnSdeXOtf5q6gRDH16
=z08V
-----END PGP SIGNATURE-----

--ogfQ4GPjiwVhersS4KGdbAH6j18ooWiTE--




Acknowledgement sent to Boruch Baum <boruch_baum@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18183; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.